[phpBB] svn: r46 - trunk/phpbb2

jeroen at wolffelaar.nl jeroen at wolffelaar.nl
Fri Feb 6 02:27:01 CET 2004


Author: jeroen
Date: 2004-02-06 02:26:33 +0100 (Fri, 06 Feb 2004)
New Revision: 46

Removed:
   trunk/phpbb2/postinst
   trunk/phpbb2/templates
Log:
Remove two left over files that were split out

Deleted: trunk/phpbb2/postinst
===================================================================
--- trunk/phpbb2/postinst	2004-02-06 01:25:31 UTC (rev 45)
+++ trunk/phpbb2/postinst	2004-02-06 01:26:33 UTC (rev 46)
@@ -1,195 +0,0 @@
-#!/bin/bash
-# postinst script for phpbb2
-# By Jeroen van Wolffelaar <jeroen at wolffelaar.nl>
-
-set -e
-
-#export DEBCONF_DEBUG=developer
-
-. /usr/share/debconf/confmodule
-
-db_version 2.0
-
-for i in setup ms server name user pass rootpass; do
-	db_get phpbb2/db$i || true
-	eval db$i'="$RET"'
-done
-
-
-db_get phpbb2/detail || true
-# Just to allow breaking out of DB config:
-while true; do
-#
-if [ "$RET" != Manual ]; then
-	# walk though supported apache's, and warn if they are configured but
-	# shouldn't anymore
-
-	db_get phpbb2/db_created
-	if [ "$dbsetup" = Create ] && [ "$RET" != true ]; then
-		if [ "$dbms" = mysql ]; then
-			dbadmin=root
-			dbadmpass="$dbrootpass"
-			echo "Creating MySQL database..."
-			. /usr/share/wwwconfig-common/mysql-createdb.sh
-			if [ "$status" = "error" ]; then
-				db_reset phpbb2/dbfailcreate
-				db_subst phpbb2/dbfailcreate error $(echo "$error"|head -1)
-				db_input high phpbb2/dbfailcreate || true
-				db_go || true
-				break
-			fi
-
-			dballow=localhost
-			if [ "$dbserver" != localhost ]; then
-				dballow=%
-			fi
-			echo "Creating MySQL user..."
-			. /usr/share/wwwconfig-common/mysql-createuser.sh 
-			if [ "$status" = "error" ]; then
-				db_reset phpbb2/dbfailcreateuser
-				db_subst phpbb2/dbfailcreateuser error $(echo "$error"|head -1) 
-				db_input high phpbb2/dbfailcreateuser || true
-				db_go || true
-				break
-			fi
-			db_set phpbb2/db_created true
-#		elif [ "$dbms" = postgresql ]; then
-#			echo "Creating PostgreSQL database..."
-#			. /usr/share/wwwconfig-common/pgsql-createdb.sh 
-#			if [ "$status" = "error" ]; then
-#				db_reset phpbb2/dbfailcreate
-#				db_subst phpbb2/dbfailcreate error $(echo "$error"|head -1)
-#				db_input high phpbb2/dbfailcreate || true
-#				db_go || true
-#			fi
-		fi
-	fi
-	if [ "$dbsetup" = Populate ] || [ "$dbsetup" = Create ]; then
-		if [ "$dbms" = mysql ]; then
-# Okay, being idempotent in creating tables and adding a few rows is extremely
-# hard thing to do. The tables is possible, but those rows? How can one
-# distinguish from not having added a row yet because of a crash, and the row
-# being intermittingly removed/edited by the user
-
-# I'll asume that either the creating/populating of tables succeeds fully or
-# it fails fully
-			dbadmin="$dbuser"
-			dbadmpass="$dbpass"
-			statement='SELECT * FROM phpbb_config"'
-			sqlfile=`mktemp -t phpbb2.schema.XXXXXX`
-			zcat /usr/share/doc/phpbb2/schemas/mysql_schema.sql.gz \
-				> $sqlfile
-			zcat /usr/share/doc/phpbb2/schemas/mysql_basic.sql.gz \
-				>> $sqlfile
-			echo "Creating MySQL tables if they don't exist yet..."
-			. /usr/share/wwwconfig-common/mysql-ifnot-exec.sh
-			rm -f $sqlfile
-			case "$status" in
-			*error)
-				db_reset phpbb2/dbfailcreatetables || true
-				db_subst phpbb2/dbfailcreatetables error $(echo "$error"|head -1)
-				db_input high phpbb2/dbfailcreatetables || true
-				db_go || true
-				break 2
-				;;
-			nothing|exec)
-				db_set phpbb2/db_version 2.0.6c-1
-				;;
-			*)
-				echo "Unrecognized status from \
-					wwwconfig-common/mysql-ifnot-exec.sh: $status" >&2
-				exit 1
-			esac
-		elif [ "$dbms" = postgresql ]; then
-			echo "PostgreSQL not supported yet" >&2
-#			dbadmin=postmaster
-#			dbadmpass="$dbrootpass"
-#			statement='SELECT * FROM phpbb_config WHERE config_id'
-#			sqlfile=`mktemp /tmp/phpbb2.schema`
-#			zcat /usr/share/doc/phpbb2/schemas/postgres_schema.sql.gz \
-#				> $sqlfile
-#			zcat /usr/share/doc/phpbb2/schemas/postgres_basic.sql.gz \
-#				>> $sqlfile
-#			. /usr/share/wwwconfig-common/pgsql-ifnot-exec.sh
-#			rm -f $sqlfile
-#			if [ "$status" = "error" ]; then
-#				echo "$error" >&2
-#				exit 1
-#			fi
-#			if [ "$error" != "" ]; then
-#				echo "$error" >&2
-#				exit 1
-#			fi
-		fi
-	fi
-			
-	
-fi
-
-# end for allowing breaking out of DB config
-break
-done
-
-# purge database rootpassword
-db_reset phpbb2/dbrootpass
-
-# Install template if configfile doesn't exist yet
-if [ ! -e /etc/phpbb2/config.php ]; then
-	echo "Creating config file..."
-	tmpfile=`mktemp /etc/phpbb2/config.php.XXXXXX`
-
-	cat <<-NEWCONFIG > $tmpfile
-	<?php
-	// Database configuration file for phpBB2. This file is automatically
-	// generated by debconf on `date -R`
-	
-	/*
-		IMPORTANT:
-
-		In order for automated upgrades in the future to work, you MUST
-		use \`dpkg-reconfigure phpbb2' for changes to the values in
-		this file. Choose \`Custom' setup, and you will be asked for
-		each of the below parameters.
-
-		If you DO change this file, debconf will not overwrite your
-		changes of course, but you possibly need to upgrade the table
-		definitions by hand then.
-
-	*/
-
-	\$dbms         = "$dbms";
-
-	\$dbhost       = "$dbhost";
-	\$dbname       = "$dbname";
-	\$dbuser       = "$dbuser";
-	\$dbpasswd     = "$dbpass";
-
-	\$table_prefix = "phpbb_";
-
-	define('PHPBB_INSTALLED', true);
-
-	?>
-	NEWCONFIG
-
-	mv $tmpfile /etc/phpbb2/config.php
-fi
-
-# fix permissions
-chgrp www-data /etc/phpbb2/config.php
-chmod g=r,o=   /etc/phpbb2/config.php
-
-# Following lend from phpmyadmin's postinst
-db_get phpbb2/httpd
-webservers="$RET"
-
-for webserver in $webservers; do
-	websever=${webserver%,}
-	if [ -e /etc/$webserver/httpd.conf ] && [ ! -e /etc/$webserver/phpbb2 ]; then
-		mkdir -p /etc/$webserver/conf.d
-		ln -sf /etc/phpbb2/apache.conf /etc/$webserver/conf.d/phpbb2
-	fi
-done
-
-# Debhelper
-
-#DEBHELPER#

Deleted: trunk/phpbb2/templates
===================================================================
--- trunk/phpbb2/templates	2004-02-06 01:25:31 UTC (rev 45)
+++ trunk/phpbb2/templates	2004-02-06 01:26:33 UTC (rev 46)
@@ -1,170 +0,0 @@
-Template: phpbb2/detail
-Type: select
-Choices: Typical, Custom, Manual
-Default: Typical
-Description: How do you want to configure phpBB?
- In order for phpBB to function correctly, a database must be
- configured, tables created, and credentials put in /etc/phpbb2/config.php
- Also, the webserver must be configured.
- .
- You can choose:
- . 
-  1) Typical setup (apache + local MySQL 'phpbb2' database)
-  2) Custom setup (be asked about the above)
-  3) Leave unconfigured (manual configuration afterwards needed)
- .
- Read /usr/share/doc/phpbb2/README.Debian for more details about configuring
- phpBB
-
-Template: phpbb2/manual_warning
-Type: note
-Description: Manual configuration
- You've chosen to configure phpBB manually. Read about it in 
- /usr/share/doc/phpbb2/README.Debian.gz , until you've done so,
- phpBB will not work for you.
-
-Template: phpbb2/redodb
-Type: select
-Choices: Yes, No
-Default: No
-Description: Do you want to overwrite your current configuration?
- An existing configuration file for the database has been found as
- /etc/phpbb2/config.php
- .
- Select `Yes' if you want to redo this setup. No database will be destroyed,
- but any customization of /etc/phpbb2/config.php will be lost.
-
-Template: phpbb2/dbms
-Type: select
-Choices: mysql, postgresql, odbc
-Default: mysql
-Description: Choose database system
- phpBB works on top of a database.
- .
- What Database Management System do you want me to use?
-
-Template: phpbb2/postgresql_warning
-Type: note
-Description: Creating database/tables for PostgeSQL not supported
- You'll need to create a database on the PostgeSQL server yourself, and
- install the correct tables and rows from /usr/share/doc/phpbb2/schemas
-
-Template: phpbb2/odbc_warning
-Type: note
-Description: Creating database/tables for ODBC not supported
- You'll need to create a database on the ODBC server yourself, and install
- the correct tables and rows from /usr/share/doc/phpbb2/schemas
-
-Template: phpbb2/dbsetup
-Type: select
-Choices: Create, Populate, None
-Default: Create
-Description: Want configure to create the database?
- If you haven't created a database with user yet, and want configure to do so,
- choose `Create'.
- .
- If you have a database, but it has no tables yet, and want configure
- to populate that database with tables, choose `Populate'.
- .
- In all other cases, choose `None'.
-
-Template: phpbb2/dbserver
-Type: string
-Default: localhost
-Description: What is the hostname where your database is running?
- If your database is on another machine then you need to change this value to
- the fully qualified domain name for that system.
-
-Template: phpbb2/dbname
-Type: string
-Default: phpbb2
-Description: What name do you want for database?
- All users, posts, etc. are stored in one single database. How do you 
- want to call it?
-
-Template: phpbb2/dbuser
-Type: string
-Default: phpbb2
-Description: What database username do you want to use?
- For maximum security, a user dedicated for phpBB will be created.
-
-Template: phpbb2/dbpass
-Type: password
-Description: What database password do you want to use?
- Choose a password for the databaseuser.
- .
- Leave this empty if you want to have a random password generated.
-
-Template: phpbb2/dbrootpass
-Type: password
-Description: What is the database-administrator password?
- In order to create a user, the database and the tables, the
- database-administrator password is needed.
- .
- This password will be temporarily stored by debconf until the configuring
- phase of this install.  If you do not trust debconf to securily manage this
- password, configuring phpbb2 will fail and you will need to dpkg-reconfigure
- this package and choose `Manual'
-
-Template: phpbb2/dbfailcreate
-Type: note
-Description: FAILURE: Database not created
- The configuration script failed to create the phpbb database.
- Please run dpkg-reconfigure phpbb2, to try with different options,
- possibly choose "Manual" and create the database yourself.
- .
- Error:
- ${error}
-
-Template: phpbb2/dbfailcreateuser
-Type: note
-Description: FAILURE: Database user not created
- The configuration script failed to create the phpbb database user.
- Please run dpkg-reconfigure phpbb2, to try with different options,
- possibly choose "Manual" and create the database user yourself.
- .
- Error:
- ${error}
-
-Template: phpbb2/dbfailcreatetables
-Type: note
-Description: FAILURE: Tables not created
- The configuration script failed to create the phpbb tables.
- Please run dpkg-reconfigure phpbb2, to try with different options,
- possibly choose "Manual" and create the tables yourself.
- .
- Error:
- ${error}
-
-Template: phpbb2/db_created
-Type: select
-Choices: true, false
-Default: false
-Description: [internal] Whether the DB plus user is created
- phpbb maintainer scripts will not ask for the DB admin password
- once the db and an accessing user is created
-
-Template: phpbb2/db_version
-Type: string
-Description: [internal] what db_version is currently setup
- phpbb scripts will set this value to the current version, so to detect
- whether it is needed to change database layout, and based on what.
-
-Template: phpbb2/nodbpurge
-Type: note
-Description: Database not purged
- The purge script did not drop the database for phpbb, nor the user created
- for it. You will need to do so yourself (but only if you do not want
- to loose all data and board configuration).
-
-Template: phpbb2/httpd
-Type: multiselect
-Choices: apache, apache-ssl, apache-perl, apache2
-Default: apache
-Description: What webserver(s) do you want to be configured?
- phpBB runs on any webserver supporting PHP4. This configuration-script
- only supports apache-variants. Whiche one(s) do you want to be configured?
- .
- Note: You will need to reload (/etc/init.d/apache-??? reload) the
- webserver(s) by yourself
-





More information about the phpBB-l mailing list